/*	$NetBSD: cpudevs.h,v 1.4.86.1 2008/10/27 08:02:40 skrll Exp $	*/

/*
 * THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
 * generated from:
 *	NetBSD: cpudevs,v 1.4 2005/12/11 12:17:24 christos Exp 
 */

#define	HPPA_TYPE_NPROC	0x00
#define	HPPA_TYPE_MEMORY	0x01
#define	HPPA_TYPE_BDMA	0x02
#define	HPPA_TYPE_BDIRECT	0x03
#define	HPPA_TYPE_ADMA	0x04
#define	HPPA_TYPE_ADIRECT	0x05
#define	HPPA_TYPE_OTHER	0x06
#define	HPPA_TYPE_BCPORT	0x07
#define	HPPA_TYPE_CIO	0x08
#define	HPPA_TYPE_CONSOLE	0x09
#define	HPPA_TYPE_FIO	0x0a
#define	HPPA_TYPE_BHA	0x0b
#define	HPPA_TYPE_IOA	0x0c
#define	HPPA_TYPE_BRIDGE	0x0d
#define	HPPA_TYPE_FABRIC	0x0e
#define	HPPA_TYPE_FAULTY	0x1f
#define	HPPA_TYPE_BOARD	0x80
#define	HPPA_TYPE_CPU	0x81
#define	HPPA_TYPE_FPU	0x82
#define	HPPA_TYPE_BUS	0x83
#define	HPPA_BOARD_HP840	0x004
#define	HPPA_BOARD_HP825	0x008
#define	HPPA_BOARD_HP835	0x00a
#define	HPPA_BOARD_HP845	0x00b
#define	HPPA_BOARD_HP850	0x00c
#define	HPPA_BOARD_HP949	0x00f
#define	HPPA_BOARD_HP950S	0x080
#define	HPPA_BOARD_HP855	0x081
#define	HPPA_BOARD_HP860	0x082
#define	HPPA_BOARD_HP870	0x083
#define	HPPA_BOARD_HP810	0x100
#define	HPPA_BOARD_HP822	0x101
#define	HPPA_BOARD_HP832	0x102
#define	HPPA_BOARD_HP808	0x103
#define	HPPA_BOARD_HP842	0x104
#define	HPPA_BOARD_HP852	0x105
#define	HPPA_BOARD_HPOBOE	0x106
#define	HPPA_BOARD_HPDRAGON	0x180
#define	HPPA_BOARD_HP890	0x181
#define	HPPA_BOARD_HP891	0x182
#define	HPPA_BOARD_HP892	0x183
#define	HPPA_BOARD_HP893_T540	0x184
#define	HPPA_BOARD_HPHXPROC	0x1ff
#define	HPPA_BOARD_HP720	0x200
#define	HPPA_BOARD_HP750_66	0x201
#define	HPPA_BOARD_HP730_66	0x202
#define	HPPA_BOARD_HP735_99	0x203
#define	HPPA_BOARD_HP755_99	0x204
#define	HPPA_BOARD_HP755_125	0x205
#define	HPPA_BOARD_HP735_130	0x206
#define	HPPA_BOARD_HP817	0x280
#define	HPPA_BOARD_HP837	0x281
#define	HPPA_BOARD_HP807	0x282
#define	HPPA_BOARD_HP867	0x283
#define	HPPA_BOARD_HP887T	0x284
#define	HPPA_BOARD_HP887	0x287
#define	HPPA_BOARD_HP887T96	0x288
#define	HPPA_BOARD_HP710	0x300
#define	HPPA_BOARD_HP705	0x302
#define	HPPA_BOARD_HP715_50	0x310
#define	HPPA_BOARD_HP715_33	0x311
#define	HPPA_BOARD_HP715S_50	0x312
#define	HPPA_BOARD_HP715S_33	0x313
#define	HPPA_BOARD_HP715T_50	0x314
#define	HPPA_BOARD_HP715T_33	0x315
#define	HPPA_BOARD_HP715_75	0x316
#define	HPPA_BOARD_HP715_99	0x317
#define	HPPA_BOARD_HP725_50	0x318
#define	HPPA_BOARD_HP725_75	0x319
#define	HPPA_BOARD_HP725_99	0x320
#define	HPPA_BOARD_HP745I_50	0x401
#define	HPPA_BOARD_HP742I_50	0x402
#define	HPPA_BOARD_HP747I_100	0x403
#define	HPPA_BOARD_HPE23	0x480
#define	HPPA_BOARD_HPE25	0x481
#define	HPPA_BOARD_HPE35	0x482
#define	HPPA_BOARD_HPE45	0x483
#define	HPPA_BOARD_HPD210	0x484
#define	HPPA_BOARD_HPD200	0x485
#define	HPPA_BOARD_HP778_B132L	0x501
#define	HPPA_BOARD_HP778_B160L	0x502
#define	HPPA_BOARD_HP778_B132LP	0x503
#define	HPPA_BOARD_HP778_B180L	0x504
#define	HPPA_BOARD_HP779_C132L	0x505
#define	HPPA_BOARD_HP779_C160L	0x506
#define	HPPA_BOARD_HP779_C180L	0x507
#define	HPPA_BOARD_HP779_C160L1	0x508
#define	HPPA_BOARD_HP712_132L2	0x509
#define	HPPA_BOARD_HP712_160L2	0x50a
#define	HPPA_BOARD_HP712_132L21	0x50b
#define	HPPA_BOARD_HP712_160L21	0x50c
#define	HPPA_BOARD_HP744_132L	0x50f
#define	HPPA_BOARD_HP744_165L	0x510
#define	HPPA_BOARD_HP803	0x512
#define	HPPA_BOARD_HP813	0x513
#define	HPPA_BOARD_HP778_B132	0x514
#define	HPPA_BOARD_HP800_A132	0x515
#define	HPPA_BOARD_HP800_A180C	0x516
#define	HPPA_BOARD_HP809	0x580
#define	HPPA_BOARD_HP839	0x581
#define	HPPA_BOARD_HP829	0x582
#define	HPPA_BOARD_HP849	0x583
#define	HPPA_BOARD_HP770_J210XC	0x584
#define	HPPA_BOARD_HP770_J200	0x585
#define	HPPA_BOARD_HP770_J210	0x586
#define	HPPA_BOARD_HP841	0x587
#define	HPPA_BOARD_HP851	0x588
#define	HPPA_BOARD_HP821_1	0x589
#define	HPPA_BOARD_HP831	0x58a
#define	HPPA_BOARD_HP819	0x58b
#define	HPPA_BOARD_HP859	0x58c
#define	HPPA_BOARD_HP869	0x58d
#define	HPPA_BOARD_HP780_C110	0x58e
#define	HPPA_BOARD_HP804	0x58f
#define	HPPA_BOARD_HP889	0x590
#define	HPPA_BOARD_HP780_C100	0x592
#define	HPPA_BOARD_HP780_J282	0x594
#define	HPPA_BOARD_HP800V	0x597
#define	HPPA_BOARD_HP780_C230	0x598
#define	HPPA_BOARD_HP780_C240	0x599
#define	HPPA_BOARD_HP780_C160	0x59b
#define	HPPA_BOARD_HP780_C180XP	0x59c
#define	HPPA_BOARD_HP780_C200	0x59d
#define	HPPA_BOARD_HP780_C180P	0x59f
#define	HPPA_BOARD_HP841_1	0x5a0
#define	HPPA_BOARD_HP851_1	0x5a1
#define	HPPA_BOARD_HP861	0x5a2
#define	HPPA_BOARD_HP871	0x5a3
#define	HPPA_BOARD_HP802	0x5a4
#define	HPPA_BOARD_HP879	0x5a5
#define	HPPA_BOARD_HP810D	0x5a9
#define	HPPA_BOARD_HP820	0x5aa
#define	HPPA_BOARD_HP898	0x5ae
#define	HPPA_BOARD_HP899	0x5b1
#define	HPPA_BOARD_HP800V2	0x5b4
#define	HPPA_BOARD_HP782_J2240	0x5b5
#define	HPPA_BOARD_HP800K	0x5b6
#define	HPPA_BOARD_HP821	0x5b9
#define	HPPA_BOARD_HP800D	0x5ba
#define	HPPA_BOARD_HP785_C3000	0x5bb
#define	HPPA_BOARD_HP785_B1000	0x5bc
#define	HPPA_BOARD_HP785_J5000	0x5bd
#define	HPPA_BOARD_HP800_N400036	0x5be
#define	HPPA_BOARD_HP785_J7000	0x5bf
#define	HPPA_BOARD_HP800_L200044	0x5c4
#define	HPPA_BOARD_HP800_L200036	0x5c5
#define	HPPA_BOARD_HP785_C360	0x5c6
#define	HPPA_BOARD_HP800_L100044	0x5c9
#define	HPPA_BOARD_HP800_L100036	0x5ca
#define	HPPA_BOARD_HP897_A50044	0x5cb
#define	HPPA_BOARD_HP800_N400044	0x5cc
#define	HPPA_BOARD_HP785_C3600	0x5cf
#define	HPPA_BOARD_HP786_B2000	0x5d0
#define	HPPA_BOARD_HP785_J5600	0x5d1
#define	HPPA_BOARD_HP785_J7600	0x5d2
#define	HPPA_BOARD_HP800_N400055	0x5d3
#define	HPPA_BOARD_HP785_J6000	0x5d4
#define	HPPA_BOARD_HP897_A5005X	0x5d5
#define	HPPA_BOARD_HP897_A40044	0x5d6
#define	HPPA_BOARD_HP800_N40005X	0x5d7
#define	HPPA_BOARD_HP800_L150044	0x5d8
#define	HPPA_BOARD_HP800_L150036	0x5d9
#define	HPPA_BOARD_HP800_L30005X	0x5db
#define	HPPA_BOARD_HP785_C3700	0x5dc
#define	HPPA_BOARD_HP785_J6700	0x5dd
#define	HPPA_BOARD_HP785_B2600	0x5de
#define	HPPA_BOARD_HP897_A4006X	0x5e1
#define	HPPA_BOARD_HP897_A5006X	0x5e2
#define	HPPA_BOARD_HP897_A5007X	0x5e3
#define	HPPA_BOARD_HP800_N40007X	0x5e4
#define	HPPA_BOARD_HP800_N40006X	0x5e6
#define	HPPA_BOARD_HITACHIW	0x5ff
#define	HPPA_BOARD_HP785_C8000	0x89c
#define	HPPA_BOARD_HP712_60	0x600
#define	HPPA_BOARD_HP712_80	0x601
#define	HPPA_BOARD_HP712_100	0x602
#define	HPPA_BOARD_HP743I_64	0x603
#define	HPPA_BOARD_HP743I_100	0x604
#define	HPPA_BOARD_HP712_120	0x605
#define	HPPA_BOARD_HP715_80	0x609
#define	HPPA_BOARD_HP715_64	0x60A
#define	HPPA_BOARD_HP715_100	0x60B
#define	HPPA_BOARD_HP715_100XC	0x60C
#define	HPPA_BOARD_HP725_100	0x60D
#define	HPPA_BOARD_HP725_120	0x60E
#define	HPPA_BOARD_HP715_100L	0x610
#define	HPPA_BOARD_HP715_120L	0x611
#define	HPPA_BOARD_HP725_80L	0x612
#define	HPPA_BOARD_HP725_100L	0x613
#define	HPPA_BOARD_HP725_120L	0x614
#define	HPPA_BOARD_HP743_50	0x617
#define	HPPA_BOARD_HP743_100	0x618
#define	HPPA_BOARD_HP715_80M	0x619
#define	HPPA_BOARD_HP811	0x61a
#define	HPPA_BOARD_HP801	0x61b
#define	HPPA_BOARD_HP743T	0x61c
#define	HPPA_BOARD_HITACHIT80	0x67e
#define	HPPA_BOARD_HITACHIT64	0x67f
#define	HPPA_BOARD_NEC	0x700
#define	HPPA_BUS_MID_BUS	0
#define	HPPA_BUS_SMB	1
#define	HPPA_BUS_HPPB	2
#define	HPPA_BUS_SUMMIT	3
#define	HPPA_BUS_VVSC	4
#define	HPPA_BUS_VHPPB	5
#define	HPPA_BUS_K9KSC	6
#define	HPPA_BUS_SPSSC	7
#define	HPPA_BUS_STSSC	8
#define	HPPA_BUS_GSCHPPB	9
#define	HPPA_BUS_GSCHSC	10
#define	HPPA_BUS_RUNWAY	11
#define	HPPA_BUS_GSC	12
#define	HPPA_BUS_GSCP	13
#define	HPPA_BUS_NECSB	14
#define	HPPA_BUS_ROPES	15
#define	HPPA_BUS_MERCED	16
#define	HPPA_CPU_SOFTEMU	0x01
#define	HPPA_CPU_PCXT2	0x0b
#define	HPPA_CPU_PCXL	0x0d
#define	HPPA_CPU_PCXU	0x0e
#define	HPPA_CPU_PCXL2	0x0f
#define	HPPA_CPU_PCXUP	0x10
#define	HPPA_CPU_PCXW	0x11
#define	HPPA_CPU_PCXW2	0x13
#define	HPPA_FPU_SOFTEMU	0x01
#define	HPPA_FPU_INDIGO	0x02
#define	HPPA_FPU_TYCO	0x03
#define	HPPA_FPU_ROC	0x04
#define	HPPA_FPU_FPCW	0x06
#define	HPPA_FPU_FPCB	0x07
#define	HPPA_FPU_PCXS	0x08
#define	HPPA_FPU_PCXT	0x09
#define	HPPA_FPU_HARP	0x0a
#define	HPPA_FPU_PCXT2	0x0b
#define	HPPA_FPU_PA50	0x0c
#define	HPPA_FPU_PCXL	0x0d
#define	HPPA_FPU_PCXU	0x0e
#define	HPPA_FPU_VR	0x0f
#define	HPPA_FPU_PCXW	0x10
#define	HPPA_FPU_PCXW2	0x13
#define	HPPA_NPROC_HPPA	4
#define	HPPA_MEMORY_ARCH	0x008
#define	HPPA_MEMORY_PDEP	0x009
#define	HPPA_BDMA_PARALLEL	0x018
#define	HPPA_BDMA_PRDB	0x019
#define	HPPA_BDMA_MIDBUSPSI	0x020
#define	HPPA_BDMA_HPPBTPSI	0x02f
#define	HPPA_BDMA_HPPBT8023	0x051
#define	HPPA_BDMA_HPPBLANCON	0x052
#define	HPPA_BDMA_HPPB8024	0x058
#define	HPPA_BDMA_LANCONS	0x060
#define	HPPA_BDMA_EXERCISER	0x094
#define	HPPA_BDMA_HPPBHFI	0x100
#define	HPPA_ADMA_SCSI	0x039
#define	HPPA_ADMA_FWSCSI0	0x03b
#define	HPPA_ADMA_HPIB	0x040
#define	HPPA_ADMA_HPPBFL	0x041
#define	HPPA_ADMA_HPPBIB	0x042
#define	HPPA_ADMA_HPPBCL	0x043
#define	HPPA_ADMA_HPPBGPS	0x044
#define	HPPA_ADMA_HPPBGPL	0x045
#define	HPPA_ADMA_2X25	0x046
#define	HPPA_ADMA_4X25	0x047
#define	HPPA_ADMA_NIMBFB	0x04a
#define	HPPA_ADMA_NIMBCL	0x04b
#define	HPPA_ADMA_MRTI	0x04c
#define	HPPA_ADMA_ACCMUX	0x04d
#define	HPPA_ADMA_L8023	0x050
#define	HPPA_ADMA_LQFDDI	0x056
#define	HPPA_ADMA_LQFDDI1	0x057
#define	HPPA_ADMA_GTR	0x05e
#define	HPPA_ADMA_FWSCSI	0x089
#define	HPPA_ADMA_NETFC	0x091
#define	HPPA_ADMA_YATM	0x092
#define	HPPA_ADMA_MYRI	0x095
#define	HPPA_ADMA_LFEMU	0x098
#define	HPPA_ADMA_VATM	0x09a
#define	HPPA_ADMA_HSCPCI	0x09d
#define	HPPA_ADMA_ATMGSC	0x09e
#define	HPPA_ADMA_SHUSB	0x09f
#define	HPPA_ADMA_SHFETH	0x0a0
#define	HPPA_ADMA_MASSFC	0x0a7
#define	HPPA_ADMA_IPFC	0x380
#define	HPPA_ADMA_IPATM	0x381
#define	HPPA_ADMA_IP100T	0x382
#define	HPPA_ADMA_IPNIOVG	0x383
#define	HPPA_ADIRECT_APMUX	0x00d
#define	HPPA_ADIRECT_RS232	0x00e
#define	HPPA_ADIRECT_PEACOCK	0x00f
#define	HPPA_ADIRECT_HIL	0x014
#define	HPPA_ADIRECT_LEONARDO	0x015
#define	HPPA_ADIRECT_HRM	0x016
#define	HPPA_ADIRECT_HRC	0x017
#define	HPPA_ADIRECT_LPT	0x03a
#define	HPPA_ADIRECT_ATTDK	0x04e
#define	HPPA_ADIRECT_HPIB	0x09b
#define	HPPA_ADIRECT_ROCKYKBD	0x0a8
#define	HPPA_ADIRECT_HICONS	0x101
#define	HPPA_ADIRECT_HIBOOT	0x102
#define	HPPA_OTHER_MIDBVM	0x030
#define	HPPA_OTHER_MIDBVS	0x034
#define	HPPA_OTHER_MIDBEDU	0x038
#define	HPPA_OTHER_SPECFB	0x048
#define	HPPA_OTHER_SPECCTL	0x049
#define	HPPA_BCPORT_PHANTOM	0x000
#define	HPPA_BCPORT_PORT	0x00c
#define	HPPA_CIO_CIO	0x010
#define	HPPA_CONSOLE_CHEETAH	0x01c
#define	HPPA_CONSOLE_NULL	0x01f
#define	HPPA_FIO_A_X25	0x02e
#define	HPPA_FIO_8X25	0x04f
#define	HPPA_FIO_SCSI	0x071
#define	HPPA_FIO_LAN	0x072
#define	HPPA_FIO_HIL	0x073
#define	HPPA_FIO_CENT	0x074
#define	HPPA_FIO_RS232	0x075
#define	HPPA_FIO_SGC	0x077
#define	HPPA_FIO_A1	0x07a
#define	HPPA_FIO_A2NB	0x07b
#define	HPPA_FIO_FWSCSI	0x07c
#define	HPPA_FIO_FDDI	0x07d
#define	HPPA_FIO_A1NB	0x07e
#define	HPPA_FIO_A2	0x07f
#define	HPPA_FIO_HPIB	0x080
#define	HPPA_FIO_TR9000	0x086
#define	HPPA_FIO_VMENET	0x088
#define	HPPA_FIO_BOOTROM	0x08f
#define	HPPA_FIO_DINOPCK	0x096
#define	HPPA_FIO_EISALAN	0x097
#define	HPPA_FIO_WHPIB	0x099
#define	HPPA_FIO_SPPCON	0x0a1
#define	HPPA_FIO_PCILAN	0x0a2
#define	HPPA_FIO_PCIDSK	0x0a3
#define	HPPA_FIO_SPPCORE	0x0a4
#define	HPPA_FIO_SONICET	0x0a6
#define	HPPA_FIO_PCIMISC	0x0a9
#define	HPPA_FIO_METHEUS	0x320
#define	HPPA_FIO_BARCO	0x340
#define	HPPA_FIO_HUGHES	0x360
#define	HPPA_FIO_GSCSI	0x082
#define	HPPA_FIO_GPCFD	0x083
#define	HPPA_FIO_GPCIO	0x084
#define	HPPA_FIO_GSGC	0x085
#define	HPPA_FIO_GISDN	0x087
#define	HPPA_FIO_GSCSCSI	0x089
#define	HPPA_FIO_GLAN	0x08a
#define	HPPA_FIO_GRS232	0x08c
#define	HPPA_FIO_GRJ16	0x08d
#define	HPPA_BHA_DIO	0x003
#define	HPPA_BHA_SGC	0x005
#define	HPPA_BHA_GSC	0x007
#define	HPPA_BHA_ASP	0x070
#define	HPPA_BHA_EISA	0x076
#define	HPPA_BHA_VME	0x078
#define	HPPA_BHA_LASI	0x081
#define	HPPA_BHA_PCMCIA	0x08b
#define	HPPA_BHA_WAX	0x08e
#define	HPPA_BHA_WEISA	0x090
#define	HPPA_BHA_TIMI	0x093
#define	HPPA_BHA_EPIC	0x0a5
#define	HPPA_IOA_UTURN	0x00b
#define	HPPA_IOA_PLUTO	0x00c
#define	HPPA_BRIDGE_DINO	0x00a
#define	HPPA_BRIDGE_SAGA	0x0a5
#define	HPPA_FABRIC_DNACA	0x0aa
#define	HPPA_FABRIC_TOGO	0x0ab
#define	HPPA_FABRIC_SAKURA	0x0ac
